Subject: bug#659: Reportbug does not run with non-utf8 encodings anymore

From: Klaus Ethgen <[email-masked]>
Date: Sun, 30 Jan 2022 09:39:10 +0100

Package: reportbug
Version: 11.3.0+devuan1
Severity: normal

Since some time it is not possible anymore to use reportbug on non-utf8
encoding (or non-ascii?)

I get the following error:
   UnicodeDecodeError: 'utf-8' codec can't decode byte 0xe4 in position 3: invalid continuation byte

   The above exception was the direct cause of the following exception:

   SystemError: <class 'UnicodeDecodeError'> returned a result with an error set

   The above exception was the direct cause of the following exception:

   SystemError: <class 'UnicodeDecodeError'> returned a result with an error set

   The above exception was the direct cause of the following exception:

   SystemError: <class 'UnicodeDecodeError'> returned a result with an error set

   The above exception was the direct cause of the following exception:

   SystemError: <class 'UnicodeDecodeError'> returned a result with an error set

   The above exception was the direct cause of the following exception:

   SystemError: <class 'UnicodeDecodeError'> returned a result with an error set

   The above exception was the direct cause of the following exception:

   SystemError: <class 'UnicodeDecodeError'> returned a result with an error set

   The above exception was the direct cause of the following exception:

   Traceback (most recent call last):
     File "/usr/bin/reportbug", line 39, in <module>
       from reportbug import utils
     File "/usr/lib/python3/dist-packages/reportbug/utils.py", line 100, in <module>
       _apt_cache = apt.Cache()
     File "/usr/lib/python3/dist-packages/apt/cache.py", line 152, in __init__
       self.open(progress)
     File "/usr/lib/python3/dist-packages/apt/cache.py", line 214, in open
       self._cache = apt_pkg.Cache(progress)
   SystemError: <class 'apt_pkg.Cache'> returned a result with an error set

I have to run reportbug with all LC_* and LANGUAGE variables deleted so
it will stay in pure ASCII.

This kind of bug is pretty common with python tools. Usually only python
authors are prone to this kind of bug. I almost never see this kind of
trouble from other programming languages.

-- Package-specific info:
** Environment settings:
EDITOR="vim"
PAGER="less"
VISUAL="vim"
EMAIL="Klaus Ethgen <[email-masked]>"
DEBFULLNAME="Klaus Ethgen"
INTERFACE="text"

** /home/klaus/.reportbugrc:
reportbug_version "2.20"
mode expert
ui text
realname "Klaus Ethgen"
email "[email-masked]"

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 5 (daedalus/ceres)
Release:	5
Codename:	daedalus ceres
Architecture: x86_64

Kernel: Linux 5.13.4 (SMP w/8 CPU threads)
Kernel taint flags: TAINT_PROPRIETARY_MODULE, TAINT_CPU_OUT_OF_SPEC, TAINT_FIRMWARE_WORKAROUND, TAINT_OOT_MODULE
Locale: LANG=C, LC_CTYPE=C.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Versions of packages reportbug depends on:
ii  apt                2.3.14+devuan1
ii  python3            3.9.8-1
ii  python3-reportbug  11.3.0+devuan1
ii  sensible-utils     0.0.17

reportbug recommends no packages.

Versions of packages reportbug suggests:
pn  claws-mail                                 <none>
ii  debconf                                    1.5.79
ii  debsums                                    3.0.2
ii  dlocate                                    1.10
pn  emacs-bin-common                           <none>
ii  exim4-daemon-light [mail-transport-agent]  4.95-3
ii  file                                       1:5.41-2
ii  gnupg                                      2.2.27-3
ii  python3-urwid                              2.1.2-2+b1
pn  reportbug-gtk                              <none>
ii  xdg-utils                                  1.1.3-4.1

Versions of packages python3-reportbug depends on:
ii  apt                2.3.14+devuan1
ii  file               1:5.41-2
ii  python3            3.9.8-1
ii  python3-apt        2.3.0+b1
ii  python3-debian     0.1.43
ii  python3-debianbts  3.2.0
ii  python3-requests   2.25.1+dfsg-2
ii  sensible-utils     0.0.17

python3-reportbug suggests no packages.

-- Configuration Files:
/etc/reportbug.conf changed:
submit
mutt
no-query-bts
cc
config-files
compress
sign gpg
verify
mode expert
mbox_reader_cmd "mutt -f %s"

-- no debconf information

Regards
   Klaus
-- 
Klaus Ethgen                                       http://www.ethgen.ch/
pub  4096R/4E20AF1C 2011-05-16            Klaus Ethgen <[email-masked]>
Fingerprint: 85D4 CA42 952C 949B 1753  62B3 79D0 B06F 4E20 AF1C